Subject: Re: [bug#48924] Add systemd

From: Leo Prikler <[email-masked]>
Date: Sun, 13 Jun 2021 21:00:17 +0200

Am Sonntag, den 13.06.2021, 18:54 +0000 schrieb Tony O:
> Hi leo. As mentioned previously, I do find this useful, I'm using it
> currently in LD_PRELOAD for a nonfree package that requires systemd
> and does not function with elogind patched in instead. Other usecases
> exist but they're just speculation so far, though the package is
> otherwise fully functional.
Please describe "fully functional" in more detail.  "I use it to fix
this completely borked proprietary software" is not enough grounds to
assume full feature coverage.  Instead, I'd argue that the disabling of
tests without explanation kinda proves the opposite.
> -------- Original Message --------
> On 13 Jun 2021, 19:14, Leo Famulari < [email-masked]> wrote:
> > On Sun, Jun 13, 2021 at 11:36:14AM +0200, Ludovic Courtès wrote:
> > > Efraim Flashner <[email-masked]> skribis:
> > > > I'd also argue that some of the bioinformatics packages are
> > high
> > > > maintenance and no one likes having to update them.
> > >
> > > I agree with the two of you. What I’m saying is that if in
> > addition of
> > > having a high maintenance cost, it’s pretty much unusable, then
> > that’s
> > > not good.
> > 
> > I share Efraim's point — maintenance burden has never been a
> > primary
> > reason to exclude things from Guix. I think it's important to
> > handle
> > this patch in a manner that is consistent with the precedent set by
> > years of Guix code review.
> > 
> > I'm sorry, I haven't read this entire discussion closely. Tony,
> > does
> > this package seem useful for you?
> > 
> > There is a weird gamergate-esque faction in the free software
> > community
> > who hate systemd for reasons that are basically inexplicable. It
> > seems
> > to be one of several proxy battles fought by a far-right [0]
> > political
> > camp in a struggle over the direction of free software (I'm not
> > sure
> > *who* they are fighting... most distros just ignore them). We
> > should
> > recognize their longwinded sophistry for what it is. Systemd works
> > and
> > it works very well.
> > 
> > Maybe we *should* start rejecting very high-maintenance
> > contributions if
> > we do not think they will be maintained adequately. But, I do not
> > think
> > that systemd should be the package that spurs that decision,
> > because of
> > the special importance that some people have placed on systemd,
> > which
> > has nothing to do with software, either technically or in terms of
> > software freedom.
> > 
> > > Oh you’re saying that someone on a foreign distro might be
> > interested in
> > > running ‘systemctl’ from Guix’ ‘systemd’ package? That sounds
> > like a
> > > bit far-fetched to me, dunno.
> > 
> > I use systemd extensively with Guix-on-Debian, and it's one
> > component
> > that I will probably not replace with a Guix package. It's too
> > deeply
> > integrated within Debian for me to feel confident replacing it,
> > although
> > perhaps systemctl will work fine when provided by a 3rd party. I
> > really
> > don't know.
> > 
> > The benefits of Guix on other distros — the strong control over the
> > dependency graph and ability to modify it and roll it back — do not
> > hold
> > for systemd, in my opinion. Debian's operating system integration
> > and QA
> > process is good, at this level of the system.
> > 
> > [0] I know that's a gross generalization, but it just seems that
> > way to
> > me
> >